#ifndef AMPEL_LORAWAN_H_
#define AMPEL_LORAWAN_H_
#if defined(ESP32)
#include <Arduino.h>
// Requires "MCCI LoRaWAN LMIC library", which will be automatically used with PlatformIO but should be added in "Arduino IDE".
// Tested successfully with v3.2.0 and connected to a thethingsnetwork.org app.
#include <lmic.h>
#include <hal/hal.h>
#include <arduino_lmic_hal_boards.h>
#include <SPI.h>
typedef uint8_t u1_t;

#include "co2_sensor.h"
#include "led_effects.h"
#include "config.h"

#include "util.h"

namespace config {
  extern uint16_t lorawan_sending_interval; // [s]
}

namespace lorawan {
  extern bool waiting_for_confirmation;
  extern bool connected;
  extern String last_transmission;
  void initialize();
  void process();
  void preparePayloadIfTimehasCome();
}

#endif
#endif
